#--- distributions for which we fix hyperparameters
#--- based on BPL+Dip MAP parameters in the published version of https://arxiv.org/abs/2111.03498
# we label our parameters with the corresponding names within the paper

[ButterworthNotchNPiecePowerLawMass1]

# no equivalent parameter. We just set this to be very small to make it irrelevant for the fit
min_mass1_source = 0.1

# alpha1 : spectral index of power law below mbreak
alpha0 = -3.28

# mbreak : dividing mass between high-mass and low-mass power laws
# set equal to gamma_low (notch_lowmass_scale) in Amanda's fit
break1_mass1_source = 2.59

# alpha2 : spectral index of power law above mbreak
alpha1 = -1.15

# no equivalent parameter. We just set this to be very big to make it irrelevant for the fit
max_mass1_source = 200.0

# m_min : roll-off mass for high-pass filter at the lowest masses allowed
highpass_mass_scale = 1.18

# eta_min : sharpness of high-pass filter at the lowest masses allowed
# fixed in Amanda's fit
highpass_exponent = 50.0

# m_max : roll-off mass for low-pass filter at the highest masses allowed
lowpass_mass_scale = 40.74

# eta_max : sharpness of low-pass filter at the highest masses allowed
lowpass_exponent = 3.73

# A : depth of the notch filter
notch_amplitude = 0.99

# gamma_low : roll-off mass for the lower edge of the mass gap
notch_lowmass_scale = 2.59

# eta_low : sharpness of lower edge of the mass gap
# fixed in Amanda's fit
notch_lowmass_exponent = 50.0

# gamma_high : roll-off mass for the upper edge of the mass gap
notch_highmass_scale = 5.15

# eta_high : sharpness of the upper edge of the mass gap
# fixed in Amanda's fit
notch_highmass_exponent = 50.0
